.layui-layer-shade:has(+ .layui-layer-loading),
.layui-layer-loading {
  z-index: 99892113 !important;
}

.btn-hover-effect, .filter-dialog .filter-dialog-right .filter-dialog-item-list .filter-dialog-item, .filter-dialog .filter-dialog-right .filter-dialog-search-bar .layui-icon-close, .filter-dialog .filter-dialog-left .filter-next-title-btn, .filter-dialog .filter-dialog-left .filter-item-title-list .filter-item-title:not(.is-selected), .filter-wrap .filter-wrap-right .filter-dialog-btn,
.filter-wrap .filter-wrap-right .filter-expand {
  transition: 0.1s;
  cursor: pointer;
}
.btn-hover-effect:hover, .filter-dialog .filter-dialog-right .filter-dialog-item-list .filter-dialog-item:hover, .filter-dialog .filter-dialog-right .filter-dialog-search-bar .layui-icon-close:hover, .filter-dialog .filter-dialog-left .filter-next-title-btn:hover, .filter-dialog .filter-dialog-left .filter-item-title-list .filter-item-title:hover:not(.is-selected), .filter-wrap .filter-wrap-right .filter-dialog-btn:hover,
.filter-wrap .filter-wrap-right .filter-expand:hover {
  filter: brightness(0.9);
}
.btn-hover-effect:active, .filter-dialog .filter-dialog-right .filter-dialog-item-list .filter-dialog-item:active, .filter-dialog .filter-dialog-right .filter-dialog-search-bar .layui-icon-close:active, .filter-dialog .filter-dialog-left .filter-next-title-btn:active, .filter-dialog .filter-dialog-left .filter-item-title-list .filter-item-title:active:not(.is-selected), .filter-wrap .filter-wrap-right .filter-dialog-btn:active,
.filter-wrap .filter-wrap-right .filter-expand:active {
  filter: brightness(0.8);
}

.disabled {
  color: #ccc;
  pointer-events: none;
}

.skeleton {
  background: linear-gradient(90deg, #f0f2f5 25%, #e6e8eb 37%, #f0f2f5 63%);
  background-size: 400% 100%;
  animation: skeleton-loading 1.4s ease infinite;
}

@keyframes skeleton-loading {
  0% {
    background-position: 100% 50%;
  }
  100% {
    background-position: 0 50%;
  }
}
.page-breadcrumb {
  display: flex;
  align-items: center;
  gap: 10px;
  font-size: 14px;
}
.page-breadcrumb a,
.page-breadcrumb span {
  font-weight: bold;
}

.total {
  padding: 10px 0;
}
.total .left .total-category {
  display: none;
}
.total .right-filter {
  display: none;
}

.filter-wrap *::-webkit-scrollbar,
.filter-dialog *::-webkit-scrollbar {
  width: 12px;
  height: 12px;
}
.filter-wrap *::-webkit-scrollbar-track,
.filter-dialog *::-webkit-scrollbar-track {
  border-radius: 18px;
  background-color: #ebebeb;
}
.filter-wrap *::-webkit-scrollbar-thumb,
.filter-dialog *::-webkit-scrollbar-thumb {
  border-radius: 18px;
  background-color: #d0d0d0;
}
.filter-wrap *::-webkit-scrollbar-thumb:active,
.filter-dialog *::-webkit-scrollbar-thumb:active {
  background-color: #b8b8b8;
}
.filter-wrap .filter-item,
.filter-dialog .filter-item {
  width: fit-content;
  display: flex;
  align-items: center;
  gap: 10px;
  padding: 5px 10px;
  border-radius: 10px;
  transition: background 0.15s;
  cursor: pointer;
}
.filter-wrap .filter-item span,
.filter-dialog .filter-item span {
  font-size: 14px;
  line-height: 1em;
  white-space: nowrap;
}
.filter-wrap .filter-item .layui-icon,
.filter-dialog .filter-item .layui-icon {
  display: none;
  height: 14px;
  line-height: 14px;
  font-size: 12px;
  color: #fff;
  background-color: #ccc;
  border-radius: 50%;
  padding: 1px;
  transition: 0.15s;
}
.filter-wrap .filter-item:hover,
.filter-dialog .filter-item:hover {
  background-color: #e6eaf5;
}
.filter-wrap .filter-item:hover .layui-icon,
.filter-dialog .filter-item:hover .layui-icon {
  background-color: #0c669c;
}
.filter-wrap .filter-item.is-selected .layui-icon,
.filter-dialog .filter-item.is-selected .layui-icon {
  display: block;
}
.filter-wrap .selected-list-wrap,
.filter-dialog .selected-list-wrap {
  display: flex;
  padding: 10px 0;
}
.filter-wrap .selected-list-wrap p:nth-child(1),
.filter-dialog .selected-list-wrap p:nth-child(1) {
  flex-shrink: 0;
}
.filter-wrap .selected-list-wrap .selected-list,
.filter-dialog .selected-list-wrap .selected-list {
  display: flex;
  flex-wrap: wrap;
}
.filter-wrap .selected-list-wrap .selected-list .filter-item,
.filter-dialog .selected-list-wrap .selected-list .filter-item {
  color: #0c669c;
}
.filter-wrap .selected-list-wrap .selected-list .filter-item span,
.filter-dialog .selected-list-wrap .selected-list .filter-item span {
  word-break: break-all;
  white-space: normal;
}
.filter-wrap .filter-wrap-bottom,
.filter-dialog .filter-wrap-bottom {
  display: flex;
  align-items: center;
}
.filter-wrap .filter-wrap-bottom .filter-wrap-bottom-count-wrap,
.filter-dialog .filter-wrap-bottom .filter-wrap-bottom-count-wrap {
  display: flex;
  align-items: center;
}
.filter-wrap .filter-wrap-bottom .filter-wrap-bottom-count-wrap label,
.filter-dialog .filter-wrap-bottom .filter-wrap-bottom-count-wrap label {
  display: flex;
  align-items: center;
  gap: 5px;
  font-weight: normal;
  margin: 0;
  margin-left: 50px;
}
.filter-wrap .filter-wrap-bottom .filter-wrap-bottom-count-wrap label .filter-hide-disabled,
.filter-dialog .filter-wrap-bottom .filter-wrap-bottom-count-wrap label .filter-hide-disabled {
  accent-color: #0c669c;
}
.filter-wrap .filter-wrap-bottom .filter-wrap-bottom-btns,
.filter-dialog .filter-wrap-bottom .filter-wrap-bottom-btns {
  margin-left: auto;
}
.filter-wrap .filter-wrap-bottom .filter-wrap-bottom-btns .layui-btn,
.filter-dialog .filter-wrap-bottom .filter-wrap-bottom-btns .layui-btn {
  height: 28px;
  line-height: 26px;
  border-radius: 4px;
  border-color: #0c669c;
}
.filter-wrap .filter-wrap-bottom .filter-wrap-bottom-btns .layui-btn:nth-child(1),
.filter-dialog .filter-wrap-bottom .filter-wrap-bottom-btns .layui-btn:nth-child(1) {
  background-color: #e1f3ff;
  color: #333;
}
.filter-wrap .filter-wrap-bottom .filter-wrap-bottom-btns .layui-btn:nth-child(2),
.filter-dialog .filter-wrap-bottom .filter-wrap-bottom-btns .layui-btn:nth-child(2) {
  background-color: #0c669c;
  color: #fff;
}

.filter-wrap {
  display: flex;
  background-color: #fff;
}
.filter-wrap .filter-wrap-left {
  width: calc(100% - 30px);
  padding: 20px;
  padding-right: 0;
}
.filter-wrap .filter-wrap-left .filter-list {
  display: flex;
  gap: 20px;
  overflow: auto;
  padding-bottom: 10px;
}
.filter-wrap .filter-wrap-left .filter-list .filter {
  display: flex;
  flex-direction: column;
}
.filter-wrap .filter-wrap-left .filter-list .filter .filter-title {
  font-size: 18px;
  font-weight: bold;
  padding: 0 10px;
  text-align: center;
  white-space: nowrap;
}
.filter-wrap .filter-wrap-left .filter-list .filter .filter-items {
  flex: 1;
  min-height: 300px;
  max-height: 300px;
  overflow-x: hidden;
  overflow-y: auto;
  display: flex;
  flex-direction: column;
  gap: 2px;
  background-color: #f5f5f5;
  padding: 0 10px;
  position: relative;
}
.filter-wrap .filter-wrap-left .filter-list .filter .filter-items::before, .filter-wrap .filter-wrap-left .filter-list .filter .filter-items::after {
  content: "";
  height: 10px;
  flex-shrink: 0;
  background-color: #f5f5f5;
  position: sticky;
}
.filter-wrap .filter-wrap-left .filter-list .filter .filter-items::before {
  top: 0;
}
.filter-wrap .filter-wrap-left .filter-list .filter .filter-items::after {
  bottom: 0;
}
.filter-wrap .filter-wrap-left .filter-list .filter .filter-items .filter-item {
  margin-right: 22px;
}
.filter-wrap .filter-wrap-left .filter-list .filter .filter-items .filter-item.is-selected {
  margin: 0;
}
.filter-wrap .filter-wrap-left .filter-list .filter .filter-items .disabled .layui-icon {
  display: none;
}
.filter-wrap .filter-wrap-right {
  display: flex;
  flex-direction: column;
}
.filter-wrap .filter-wrap-right .filter-dialog-btn {
  width: 30px;
  height: 30px;
  color: #fff;
  padding: 4px;
  background-color: #0c669c;
  border-radius: 0 10px 0 10px;
}
.filter-wrap .filter-wrap-right .filter-expand {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  margin: auto 0;
  padding: 10px 0;
}
.filter-wrap .filter-wrap-right .filter-expand span {
  writing-mode: vertical-lr;
  letter-spacing: 4px;
}
.filter-wrap .filter-wrap-right .filter-expand .layui-icon {
  transition: 0.1s;
}
.filter-wrap .filter-wrap-right .filter-dialog-btn,
.filter-wrap .filter-wrap-right .filter-expand {
  user-select: none;
}

.filter-dialog {
  width: 100%;
  height: 100%;
  display: flex;
}
.filter-dialog .filter-dialog-left {
  flex-shrink: 0;
  width: 150px;
  display: flex;
  flex-direction: column;
  background-color: #ced6e9;
  padding-top: 60px;
  align-items: center;
  position: relative;
}
.filter-dialog .filter-dialog-left::after {
  content: "";
  display: block;
  width: 100%;
  height: 10px;
  background: linear-gradient(to bottom, transparent, #ced6e9);
  position: absolute;
  bottom: 60px;
}
.filter-dialog .filter-dialog-left .filter-item-title-list {
  width: 100%;
  overflow: auto;
  scrollbar-width: none;
}
.filter-dialog .filter-dialog-left .filter-item-title-list::-webkit-scrollbar {
  display: none;
}
.filter-dialog .filter-dialog-left .filter-item-title-list .filter-item-title {
  padding: 10px 20px;
  padding-right: 30px;
  word-break: break-all;
  position: relative;
  user-select: none;
  background-color: #ced6e9;
  font-size: 14px;
  transition: 0.1s;
}
.filter-dialog .filter-dialog-left .filter-item-title-list .filter-item-title.disabled {
  color: #777;
}
.filter-dialog .filter-dialog-left .filter-item-title-list .filter-item-title .selected-filter-count {
  display: none;
  width: 20px;
  height: 20px;
  color: #fff;
  font-size: 12px;
  line-height: 20px;
  text-align: center;
  border-radius: 50%;
  background-color: #1c91e8;
  position: absolute;
  right: 5px;
  top: 50%;
  transform: translateY(-50%);
}
.filter-dialog .filter-dialog-left .filter-item-title-list .is-selected {
  background-color: #fff;
}
.filter-dialog .filter-dialog-left .filter-item-title-list .is-selected::before {
  content: "";
  display: block;
  width: 3px;
  height: 100%;
  background-color: #0c669c;
  position: absolute;
  left: 0;
  top: 0;
}
.filter-dialog .filter-dialog-left .filter-next-title-btn {
  width: 30px;
  height: 30px;
  line-height: 30px;
  text-align: center;
  background-color: #fff;
  border-radius: 50%;
  margin-top: 10px;
  margin-bottom: 20px;
}
.filter-dialog .filter-dialog-right {
  flex: 1;
  display: flex;
  flex-direction: column;
  margin: 20px 10px;
  margin-top: 0;
}
.filter-dialog .filter-dialog-right .filter-dialog-search-bar {
  height: 60px;
  display: flex;
  justify-content: end;
  align-items: center;
  gap: 10px;
}
.filter-dialog .filter-dialog-right .filter-dialog-search-bar .filter-dialog-search {
  position: relative;
}
.filter-dialog .filter-dialog-right .filter-dialog-search-bar .filter-dialog-search .search-input {
  width: 160px;
  height: 35px;
  border: 1px solid #999;
  padding: 10px 15px;
  padding-right: 30px;
  border-radius: 16px;
  font-size: 12px;
}
.filter-dialog .filter-dialog-right .filter-dialog-search-bar .filter-dialog-search .layui-icon-search {
  color: #000;
  font-size: 20px;
  position: absolute;
  right: 10px;
  top: 50%;
  transform: translateY(-50%);
}
.filter-dialog .filter-dialog-right .filter-dialog-search-bar .layui-icon-close {
  font-size: 24px;
  color: #fe6768;
  font-weight: bold;
}
.filter-dialog .filter-dialog-right .filter-dialog-item-list {
  flex: 1;
  overflow: auto;
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  grid-template-rows: repeat(auto-fit, 42px);
  gap: 10px;
  position: relative;
  padding-right: 10px;
}
.filter-dialog .filter-dialog-right .filter-dialog-item-list .filter-dialog-item {
  height: 42px;
  line-height: 20px;
  font-size: 14px;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  border: 1px solid #f5f5f5;
  background-color: #f5f5f5;
  padding: 10px;
  border-radius: 8px;
}
.filter-dialog .filter-dialog-right .filter-dialog-item-list .filter-dialog-item.is-selected {
  color: #0c669c;
  border-color: #0c669c;
}
.filter-dialog .filter-dialog-right .filter-dialog-item-list .no-data {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-size: 16px;
  color: #999;
  user-select: none;
}

@media (max-width: 768px) {
  .main .container-fluid {
    padding: 0;
  }
  .page-breadcrumb,
  .filter-wrap,
  .total .right {
    display: none !important;
  }
  .total {
    align-items: center;
    padding: 10px 0;
    margin-bottom: -10px;
    font-size: 17px;
  }
  .total .left {
    font-size: 17px;
    padding: 0 10px;
  }
  .total .left .total-category {
    display: inline;
  }
  .total .right-filter {
    flex-shrink: 0;
    display: flex;
    align-items: center;
    font-weight: bold;
    padding: 0 20px;
    position: relative;
  }
  .total .right-filter::after {
    content: "";
    width: 1px;
    height: calc(100% - 10px);
    background-color: #ccc;
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
  }
  .total .right-filter .filter-icon {
    width: 20px;
    height: 20px;
    margin-left: 2px;
    pointer-events: none;
  }
  .filter-dialog ::-webkit-scrollbar {
    display: none;
  }
  .filter-dialog .filter-dialog-left::after {
    display: none;
  }
  .filter-dialog .filter-dialog-left .filter-next-title-btn {
    display: none;
  }
  .filter-dialog .filter-dialog-right {
    margin: 0;
  }
  .filter-dialog .filter-dialog-right .filter-dialog-search-bar {
    padding: 0 10px;
  }
  .filter-dialog .filter-dialog-right .filter-dialog-search-bar .filter-dialog-search {
    flex: 1;
  }
  .filter-dialog .filter-dialog-right .filter-dialog-search-bar .filter-dialog-search .search-input {
    width: 100%;
  }
  .filter-dialog .filter-dialog-right .filter-dialog-search-bar .layui-icon-close {
    display: none;
  }
  .filter-dialog .filter-dialog-right .filter-dialog-item-list {
    display: flex;
    flex-direction: column;
    padding: 0 10px;
  }
  .filter-dialog .filter-dialog-right .filter-dialog-item-list .filter-dialog-item {
    height: auto;
    overflow: visible;
    white-space: normal;
    word-break: break-all;
    background-color: #fff;
    border-color: #fff;
    padding: 10px 5px;
  }
  .filter-dialog .filter-dialog-right .filter-dialog-item-list .filter-dialog-item:hover, .filter-dialog .filter-dialog-right .filter-dialog-item-list .filter-dialog-item:active {
    filter: none;
  }
  .filter-dialog .filter-dialog-right .filter-dialog-item-list .filter-dialog-item.is-selected {
    background-color: #f2f3f5;
  }
  .filter-dialog .filter-dialog-right .selected-list-wrap {
    display: none;
  }
  .filter-dialog .filter-dialog-right .filter-wrap-bottom {
    flex-direction: column;
    font-size: 12px;
  }
  .filter-dialog .filter-dialog-right .filter-wrap-bottom .filter-wrap-bottom-count-wrap {
    width: 100%;
    padding: 15px;
    padding-bottom: 30px;
    border-top: 1px solid #eee;
    justify-content: space-between;
  }
  .filter-dialog .filter-dialog-right .filter-wrap-bottom .filter-wrap-bottom-count-wrap .filter-count {
    word-break: break-all;
  }
  .filter-dialog .filter-dialog-right .filter-wrap-bottom .filter-wrap-bottom-count-wrap label {
    flex-shrink: 0;
    margin: 0;
  }
  .filter-dialog .filter-dialog-right .filter-wrap-bottom .filter-wrap-bottom-btns {
    margin: 0 auto;
    margin-bottom: 10px;
  }
  div.product-list .colspan-4-buy {
    width: calc(70% - 5px);
    float: right;
    padding-right: 90px;
  }
  div.product-list .colspan-4-buy .item-p {
    display: flex;
  }
  div.product-list .colspan-4-buy .item-p .item-span-2 {
    flex-shrink: 0;
  }
  div.product-list .colspan-4-buy .item-p .item-span-text {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
  }
  div.product-list .list.productlist .item div.colspan-7 {
    top: auto;
    bottom: 0;
    transform: none;
  }
  div.product-list .list.productlist .item div.colspan-7 .direct-pay {
    display: none;
  }
  div.product-list .list.productlist .item div.colspan-7 .btn-default {
    margin-bottom: 0;
  }
}
